/**
    Obtain audio-force by reading audio input.
    Copyright The University of British Columbia, Canada
    @author Kees van den Doel (kvdoel@cs.ubc.ca)
*/
public class MikeAudioForce implements AudioForce {
    /** Audio input port. */
    private RTAudioIn pai;

    /** Constructor.
        @param srate Sampling rate in Hertz.
        @param bufferSize Buffer size used by JavaSound. Set to 0 to get default.
    */
    public MikeAudioForce(float srate,int bufferSize) {
        pai = new RTAudioIn(bufferSize,(float)srate,16,1,true);
    }

    /** Create force by reading audio input.
        @param output user provided buffer for force returned.
        @param nsamples number of samples written to output buffer.
    */
    public void getForce(float [] output, int nsamples) {
        pai.read(output,nsamples);
    }
}



